LOOK(1)

NOMBRE
look - muestra las líneas que comienzan por una determinada cadena

SINOPSIS

look [opciones] cadena [archivo]

DESCRIPCIÓN

La herramienta look muestra las líneas del archivo archivo que contienen cadena como prefijo. Dado que look realiza una búsqueda binaria, las líneas en archivo deben estar ordenadas.sort(1) se ejecuta con las mismas opciones -d y/o -f con las que se ejecutó look.

Si no se especifica fichero, se usa el fichero /usr/share/dict/words, solo se comparan caracteres alfabéticos y las mayúsculas y minúsculas se toman por igual.

OPCIONES

-a, --alternative
    Emplea el diccionario alternativo

-d, --alphanum
    Emplea el habitual orden y diccionario de conjunto de caracteres, esto es que solo compara caracteres alfanuméricos. Este sería el comportamiento por defecto si no se especifica ningún archivo.

    Note that blanks have been added to dictionary character set for compatibility with sort -d command since version 2.28.

-f, --ignore-case
    No distingue entre mayúsculas y minúsculas. Este es el comportamiento por defecto si no se especifica ningún archivo.

-i, --terminate carácter
    Specify a string termination character, i.e., only the characters in string up to and including the first occurrence of character are compared.

-h, --help
    Muestra un texto de ayuda y finaliza.

-V, --version
    Muestra la versión y finaliza.

La utilidad look termina con valor 0 si una o más líneas fueron encontradas y mostradas, 1 si no se encontró ninguna y >1 si ocurrió un error.

ENTORNO

WORDLIST
    Path to a dictionary file. The environment variable has greater priority than the dictionary path defined in the FILES segment.

ARCHIVOS

/usr/share/dict/words
    el diccionario

/usr/share/dict/web2
    el diccionario alternativo

HISTORIAL

look apareció por primera vez en Unix Version 7 de AT&T.

EJEMPLOS

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

VÉASE TAMBIÉN

grep(1), sort(1)

INFORMAR DE ERRORES

Para informar de cualquier error, utilice el sistema de seguimiento de fallos

DISPONIBILIDAD

The look command is part of the util-linux package which can be downloaded from

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Juan José López Mellado <laveneno@hotmail.com> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.